Investors, warrants & staking
Get Unstaking Report
Builds a flattened unstaking report with recipient, grant, parent staking request and configuration version.
Not available to API keys yet. It will need grants:read.
curl --request POST \
--url 'https://api.toku.com/tga/get-unstaking-report' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"statusFilters": [
"DRAFT"
]
}'[
{
"unstakingRequestID": "string",
"stakingRequestID": "string",
"unstakingAmount": "string",
"unstakingDate": "string",
"createdAt": "string",
"updatedAt": "string",
"status": "DRAFT",
"roleInOrgID": "string",
"stakingRequest": {
"stakingRequestID": "string",
"stakingAmount": "string",
"stakingStartDate": "string",
"stakingConfiguration": {
"versionNumber": 0
},
"grant": {
"grantName": "string",
"grantID": "string",
"grantAmount": "string"
}
},
"roleInOrg": {},
"grantName": "string",
"grantID": "string",
"grantAmount": "string",
"fullName": "string",
"roleInOrgExternalID": 0,
"employmentType": "string",
"externalEmployeeID": "string",
"country": "string",
"stakingAmount": "string",
"stakingStartDate": "string",
"versionNumber": 0,
"startDate": "string",
"amount": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgIDstring<uuid>statusFiltersstring[]Allowed: at most 20 items
Response
200Successful response
unstakingRequestIDstringrequiredstakingRequestIDstringrequiredunstakingAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
unstakingDatestringrequiredcreatedAtstringrequiredupdatedAtstringrequiredstatusstringrequiredAvailable options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED
roleInOrgIDstringrequiredstakingRequestobjectrequiredShow child attributes
stakingRequestIDstringrequiredstakingAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
stakingStartDatestringrequiredstakingConfigurationobjectrequiredShow child attributes
versionNumberintegerrequiredgrantobjectrequiredShow child attributes
grantNamestringrequiredgrantIDstringrequiredgrantAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
roleInOrgobjectrequiredgrantNamestringrequiredgrantIDstringrequiredgrantAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
fullNamestringrequiredroleInOrgExternalIDintegerrequiredemploymentTypestring | nullrequiredexternalEmployeeIDstring | nullrequiredcountrystring | nullrequiredstakingAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
stakingStartDatestringrequiredversionNumberintegerrequiredrequestTypeanyrequiredstartDatestringrequiredamountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$